MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Namespaces | Typedefs | Enumerations | Functions
MyGUI_GeometryUtility.h File Reference
`#include "MyGUI_Prerequest.h"`

Go to the source code of this file.

## Namespaces
| MyGUI
| MyGUI::geometry_utility

## Typedefs
typedef std::vector< FloatPoint > | MyGUI::VectorFloatPoint

## Enumerations
enum | MyGUI::geometry_utility::Side { MyGUI::geometry_utility::Left, MyGUI::geometry_utility::Right, MyGUI::geometry_utility::Top, MyGUI::geometry_utility::Bottom }

## Functions
VectorFloatPoint | MyGUI::geometry_utility::cropPolygon (FloatPoint *_baseVerticiesPos, size_t _size, const IntCoord &_cropRectangle)
void | MyGUI::geometry_utility::cropPolygonSide (VectorFloatPoint &_verticies, int _sideCoord, Side _side)
FloatPoint | MyGUI::geometry_utility::getPositionInsideRect (const FloatPoint &_point, const FloatPoint &_corner0, const FloatPoint &_corner1, const FloatPoint &_corner2)
FloatPoint | MyGUI::geometry_utility::getUVFromPositionInsideRect (const FloatPoint &_point, const FloatPoint &_v0, const FloatPoint &_v1, const FloatPoint &_baseUV)